// import 'package:analyzer/dart/ast/ast.dart';
// import 'package:analyzer/dart/ast/visitor.dart';
//
// import '../../lib/src/const.dart';
// import 'analyze_single_file.dart';
//
// class ConstructorVisit extends RecursiveAstVisitor<void> {
//   List<String> list;
//   Map<String, dynamic> map;
//
//   ConstructorVisit(this.list, this.map);
//   @override
//   void visitConstructorName(ConstructorName node) {
//     if (node.type.name.toString() == "ConfigAdapter") {
//       var parent = node.parent;
//       list = List.from(defaultList.map((e) => descriptionConfigType(e as ConfigType)).toList());
//       map = {};
//       map.addAll({'itemDescription': list});
//       map.addAll({'value': ConfigType.configDefault.index});
//
//       //访问ArgumentList
//       parent.childEntities.forEach((entry) {
//         if (entry is ArgumentList) {
//           NamedExpressionVisit namedExpressionVisit = NamedExpressionVisit(
//             list,
//             map,
//           );
//           entry.visitChildren(namedExpressionVisit);
//         }
//       });
//       String configKey = map['configKey'];
//       map.remove('configKey');
//       catchMap[configKey] = map;
//     }
//     return;
//   }
// }
//
// class NamedExpressionVisit extends RecursiveAstVisitor<void> {
//   NamedExpressionVisit(this.list, this.map);
//   final List<String> list;
//   final Map<String, dynamic> map;
//   // String configKey;
//   @override
//   void visitNamedExpression(NamedExpression node) {
//     if (node.name.label.name == "configKey") {
//       var expression = node.expression;
//       // currentKey = getString(expression);
//       map.addAll({'configKey': getString(expression)});
//     }
//     if (node.name.label.name == 'configDescription') {
//       map.addAll({node.name.label.name: getString(node.expression)});
//     }
//     if (node.name.label.name == "itemDescription") {
//       list.add(getString(node.expression));
//     }
//     super.visitNamedExpression(node);
//   }
// }
//
// String getString(var expression) {
//   if (expression is SimpleStringLiteral) {
//     return expression.value;
//   } else {
//     return expression.toString();
//   }
// }
